MCP Tools Reference: slidesmcp.googleapis.com

ツール: update_presentation

batchUpdate リクエストのセットを使用してプレゼンテーションを更新します。

REST API の presentations.batchUpdate に対応します。

更新可能なリストは次のとおりです。

  • createSlide: 新しいスライドを作成します。
  • createShape: 新しいシェイプを作成します。
  • createTable: 新しいテーブルを作成します。
  • insertText: 図形または表のセルにテキストを挿入します。
  • insertTableRows: テーブルに行を挿入します。
  • insertTableColumns: テーブルに列を挿入します。
  • deleteTableRow: テーブルから行を削除します。
  • deleteTableColumn: テーブルから列を削除します。
  • replaceAllText: 指定されたテキストのすべてのインスタンスを置き換えます。
  • deleteObject: プレゼンテーションからページまたはページ要素を削除します。
  • updatePageElementTransform: ページ要素の変換を更新します。
  • updateSlidesPosition: プレゼンテーション内のスライドのセットの位置を更新します。
  • deleteText: 図形または表のセルからテキストを削除します。
  • createImage: イメージを作成します。
  • createVideo: 動画を作成します。
  • createSheetsChart: 埋め込み Google スプレッドシートのグラフを作成します。
  • createLine: 線を作成します。
  • refreshSheetsChart: Google スプレッドシートのグラフを更新します。
  • updateShapeProperties: Shape のプロパティを更新します。
  • updateImageProperties: Image のプロパティを更新します。
  • updateVideoProperties: 動画のプロパティを更新します。
  • updatePageProperties: ページのプロパティを更新します。
  • updateTableCellProperties: TableCell のプロパティを更新します。
  • updateLineProperties: Line のプロパティを更新します。
  • createParagraphBullets: 段落の箇条書きを作成します。
  • replaceAllShapesWithImage: 特定の条件に一致するすべての図形を画像に置き換えます。
  • duplicateObject: スライドまたはページ要素を複製します。
  • updateTextStyle: 図形または表内のテキストのスタイルを更新します。
  • replaceAllShapesWithSheetsChart: 特定の条件に一致するすべての図形を Google スプレッドシートのグラフに置き換えます。
  • deleteParagraphBullets: 段落から箇条書きを削除します。
  • updateParagraphStyle: 図形または表内の段落のスタイルを更新します。
  • updateTableBorderProperties: Table のテーブル枠線のプロパティを更新します。
  • updateTableColumnProperties: テーブル列のプロパティを更新します。
  • updateTableRowProperties: テーブル行のプロパティを更新します。
  • mergeTableCells: 表内のセルを結合します。
  • unmergeTableCells: Table 内のセルの結合を解除します。
  • groupObjects: ページ要素などのオブジェクトをグループ化します。
  • ungroupObjects: グループなどのオブジェクトのグループ化を解除します。
  • updatePageElementAltText: ページ要素の代替テキストのタイトルや説明を更新します。
  • replaceImage: 既存のイメージを新しいイメージに置き換えます。
  • updateSlideProperties: スライドのプロパティを更新します。
  • updatePageElementsZOrder: ページ要素の Z オーダーを更新します。
  • importSlides: 指定された 1 つ以上のスライドページを、ソース プレゼンテーションからこの(宛先)プレゼンテーションにインポートします。
  • updateLineCategory: 行のカテゴリを更新します。
  • rerouteLine: 接続されたページ要素の 2 つの最も近い接続サイトで接続されるように、線を再ルーティングします。
  • createAudio: このプレゼンテーションに音声を作成します。
  • updateAudioProperties: Audio のプロパティを更新します。

次のサンプルは、curl を使用して update_presentation MCP ツールを呼び出す方法を示しています。

Curl リクエスト
curl --location 'https://slidesmcp.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "update_presentation",
    "arguments": {
      // provide these details according to the tool MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

入力スキーマ

プレゼンテーションの更新をリクエストします。

UpdatePresentationRequest

JSON 表現
{
  "presentationId": string,
  "requests": [
    {
      object
    }
  ]
}
フィールド
presentationId

string

必須。更新するプレゼンテーションの ID。

requests[]

object (Struct format)

必須。https://developers.google.com/workspace/slides/api/reference/rest/v1/presentations/request に記載されているスキーマとセマンティクスを使用する batchUpdate リクエストのリスト

構造体

JSON 表現
{
  "fields": {
    string: value,
    ...
  }
}
フィールド
fields

map (key: string, value: value (Value format))

動的に型指定される値の順序なしのマップ。

"key": value ペアのリストを含むオブジェクト。例: { "name": "wrench", "mass": "1.3kg", "count": "3" }

FieldsEntry

JSON 表現
{
  "key": string,
  "value": value
}
フィールド
key

string

value

value (Value format)

JSON 表現
{

  "nullValue": null,
  "numberValue": number,
  "stringValue": string,
  "boolValue": boolean,
  "structValue": {
    object
  },
  "listValue": array
}
フィールド
共用体フィールド kind。値の種類。kind は次のいずれかになります。
nullValue

null

JSON null を表します。

numberValue

number

JSON 数値を表します。NaNInfinity-Infinity は JSON でサポートされていないため、使用できません。また、JSON 形式では通常、数値型で大きな Int64 値がサポートされていないため、大きな Int64 値も表現できません。

stringValue

string

JSON 文字列を表します。

boolValue

boolean

JSON ブール値(JSON の true または false リテラル)を表します。

structValue

object (Struct format)

JSON オブジェクトを表します。

listValue

array (ListValue format)

JSON 配列を表します。

ListValue

JSON 表現
{
  "values": [
    value
  ]
}
フィールド
values[]

value (Value format)

動的に型指定される値の繰り返しフィールド。

NullValue

JSON null を表します。

NullValue はセンチネルです。値が 1 つしかない列挙型を使用して、Value 型共用体の null 値を表します。

0 以外の値を持つ NullValue 型のフィールドは無効と見なされます。ほとんどの ProtoJSON シリアライザーは、整数値に関係なく、null_value を JSON null として設定した Value を出力するため、0 値にラウンド トリップします。

列挙型
NULL_VALUE Null 値。

出力スキーマ

UpdatePresentation レスポンス。

UpdatePresentationResponse

JSON 表現
{
  "replies": [
    {
      object
    }
  ]
}
フィールド
replies[]

object (Struct format)

https://developers.google.com/workspace/slides/api/reference/rest/v1/presentations/response に記載されているスキーマとセマンティクスを使用する batchUpdate レスポンスのセット

構造体

JSON 表現
{
  "fields": {
    string: value,
    ...
  }
}
フィールド
fields

map (key: string, value: value (Value format))

動的に型指定される値の順序なしのマップ。

"key": value ペアのリストを含むオブジェクト。例: { "name": "wrench", "mass": "1.3kg", "count": "3" }

FieldsEntry

JSON 表現
{
  "key": string,
  "value": value
}
フィールド
key

string

value

value (Value format)

JSON 表現
{

  "nullValue": null,
  "numberValue": number,
  "stringValue": string,
  "boolValue": boolean,
  "structValue": {
    object
  },
  "listValue": array
}
フィールド
共用体フィールド kind。値の種類。kind は次のいずれかになります。
nullValue

null

JSON null を表します。

numberValue

number

JSON 数値を表します。NaNInfinity-Infinity は JSON でサポートされていないため、使用できません。また、JSON 形式では通常、数値型で大きな Int64 値がサポートされていないため、大きな Int64 値も表現できません。

stringValue

string

JSON 文字列を表します。

boolValue

boolean

JSON ブール値(JSON の true または false リテラル)を表します。

structValue

object (Struct format)

JSON オブジェクトを表します。

listValue

array (ListValue format)

JSON 配列を表します。

ListValue

JSON 表現
{
  "values": [
    value
  ]
}
フィールド
values[]

value (Value format)

動的に型指定される値の繰り返しフィールド。

NullValue

JSON null を表します。

NullValue はセンチネルです。値が 1 つしかない列挙型を使用して、Value 型共用体の null 値を表します。

0 以外の値を持つ NullValue 型のフィールドは無効と見なされます。ほとんどの ProtoJSON シリアライザーは、整数値に関係なく、null_value を JSON null として設定した Value を出力するため、0 値にラウンド トリップします。

列挙型
NULL_VALUE Null 値。

ツールのアノテーション

破壊的ヒント: ✅ | べき等ヒント: ❌ | 読み取り専用ヒント: ❌ | オープン ワールド ヒント: ✅